## edu.cwru.SimpleRTS.model
Class Target

    java.lang.Object
      edu.cwru.SimpleRTS.model.Target

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResourceNode, Unit

    public class Target

extends java.lang.Object
implements java.io.Serializable

An class that signifies that an extending class can be the direct object of an action This requires that they all share an ID scheme

Author:
  Tim
See Also:
  Serialized Form

Field Summary
`int` `ID`
`long` `serialVersionUID`

Constructor Summary
`Target()`

Method Summary
`static void` `reserveIDsUpTo(int minID)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public final long serialVersionUID

See Also:
  Constant Field Values

### ID

    public final int ID

Constructor Detail

### Target

    public Target()

Method Detail

### reserveIDsUpTo

    public static void reserveIDsUpTo(int minID)